Bug 164844 - NullPointerException at org.netbeans.modules.ruby.samples.depot.DepotWizardIterator.instantiate
NullPointerException at org.netbeans.modules.ruby.samples.depot.DepotWizardIt...
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@ruby
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 09:57 UTC by Martin Schovanek
Modified: 2009-05-16 08:58 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.26 KB, text/plain)
2009-05-11 09:58 UTC, Martin Schovanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schovanek 2009-05-11 09:57:55 UTC
Build: NetBeans IDE Dev (Build 200905110201)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_07-b06-57, Java(TM) SE Runtime Environment, 1.6.0_07-b06-153
OS: Mac OS X, 10.5.6, x86_64

User Comments:
mschovanek: 1) start Nb with fresh user-dir
2) on Start Page click 'Try a Sample Project'
3) choose 'Ruby > Depot'
4) fill 'Project Name' and click finish
ERROR: IDE throws the NPE



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.ruby.samples.depot.DepotWizardIterator.instantiate(DepotWizardIterator.java:116)
        at org.netbeans.modules.ide.ergonomics.newproject.FeatureOnDemanWizardIterator.instantiate(FeatureOnDemanWizardIterator.java:187)
        at org.openide.loaders.TemplateWizard$InstantiatingIteratorBridge.instantiate(TemplateWizard.java:1016)
        at org.openide.loaders.TemplateWizard.handleInstantiate(TemplateWizard.java:588)
        at org.openide.loaders.TemplateWizard.instantiateNewObjects(TemplateWizard.java:409)
        at org.openide.loaders.TemplateWizardIterImpl.instantiate(TemplateWizardIterImpl.java:253)
Comment 1 Martin Schovanek 2009-05-11 09:58:00 UTC
Created attachment 81878 [details]
stacktrace
Comment 2 Erno Mononen 2009-05-11 14:01:09 UTC
Can't seem to reproduce, does this happen to you only when FoD is enabled?
Comment 3 Martin Schovanek 2009-05-12 09:57:08 UTC
Reproducible only once when the Ruby feature is activated by ergonomics. Then I was trying to disable the Ruby and
create the project again and the NPE didn't appear.
Comment 4 Erno Mononen 2009-05-13 14:40:54 UTC
OK, passing to Jarda then.
Comment 5 Jaroslav Tulach 2009-05-15 18:51:52 UTC
Reproduced.
Comment 6 Jaroslav Tulach 2009-05-15 19:23:05 UTC
ergonomics#73414ff4ad4a - sorry for the ugliness of the fix.
Comment 7 Quality Engineering 2009-05-16 08:58:56 UTC
Integrated into 'main-golden', will be available in build *200905160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/73414ff4ad4a
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #164844: If we were not at the end of release cycle I would try to fix the infrastructure, but these days let's play it safe and fix just the one case that is known to be broken


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo